Client - Server mod version mismatch

AlanEsh

New Member
Jul 29, 2019
907
0
0
OK so I'm a server noob -- I mean I've run some servers locally before for my kids, last one I ran was an FTB Ultimate, and that worked fine.

But with Unleashed 1.1.3, when I connect the server complains about 8 mods that are the incorrect version. I have deleted and redownloaded the server a couple of times. I've tried it with the default jar and the MCPC+ jar, but in all cases the problem persists.

The client appears to have newer versions than the server, although there is one that is actually showing as being older than the server's version. And in the case of "OCS", well this mod doesn't appear to be in my client at all.

So can someone tell me what is happening here? It seems like a fresh install of both client and server should take care of this problem, but it has not. Thanks!
 

Byte Templar

New Member
Jul 29, 2019
142
0
0
Is your client set as recomended version and not forced on exact version? Ive seen this mistake few times...
 

AlanEsh

New Member
Jul 29, 2019
907
0
0
Hey thanks for the reply, was out of town so didn't get to see it right away.

I double checked this, dumped my client again, redownloaded it, redownloaded the server. Still no luck. I tried moving the out of sync client mods over to my server, but that caused the server to crash on startup with what appeared to be item ID mismatches.
 

Staxed

New Member
Jul 29, 2019
1,019
0
0
Did you download the server file from the launcher? That's the best place to get them from to ensure they match.

Also, do you have some of the mods enabled on the server but haven't enabled them in your mod pack?
 

AlanEsh

New Member
Jul 29, 2019
907
0
0
Yes I pulled the server down from the Launcher right after I re-downloaded the client.

The mods that are having version mismatches are common to both client and server. The only mod seemingly "missing" from the client is "OCS".
 

AlanEsh

New Member
Jul 29, 2019
907
0
0
OK part of my problem is solved! I took a look at the URL the FTB client is trying to pull the server from, and it had 1.0.3 in the name. So I edited that to 1.1.3 and got the correct server, yay! My client hooks up fine. Why my client was pulling down 113 but the server kept downloading as 103 is beyond me, but it doesn't matter now as I have grown a clue.

So next I want to try a MCPC+ version of the server. I've been all over the MCPC site and can find 1.6.x builds, and 1.5.x builds, but the latter stops at 1.5.2 with no 1.5.3 versions that I can see.
Can someone drop a link on me? I just need to know which MCPC+ build is the correct one to connect to with standard Unleashed 1.1.3 clients.

Thanks!